<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [getIndustryData](./bitburner.corporation.getindustrydata.md)

## Corporation.getIndustryData() method

Get constant industry definition data for a specific industry

**Signature:**

```typescript
getIndustryData(industryName: CorpIndustryName): CorpIndustryData;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  industryName | [CorpIndustryName](./bitburner.corpindustryname.md) |  |

**Returns:**

[CorpIndustryData](./bitburner.corpindustrydata.md)

